org.red5.server.stream.message

## Class RTMPMessage

- java.lang.Object
- - org.red5.server.messaging.AbstractMessage
  - - org.red5.server.stream.message.RTMPMessage

All Implemented Interfaces:
  IMessage

    public class RTMPMessage
    extends AbstractMessage

RTMP message

### Field Summary

### Fields inherited from class org.red5.server.messaging.AbstractMessage

`correlationID, extraHeaders, messageID, messageType`

### Method Summary

Methods
`static RTMPMessage` `build(IRTMPEvent body)` Builder for RTMPMessage.
`static RTMPMessage` `build(IRTMPEvent body, byte sourceType)` Builder for RTMPMessage.
`static RTMPMessage` `build(IRTMPEvent body, int eventTime)` Builder for RTMPMessage.
`IRTMPEvent` `getBody()` Return RTMP message body

### Methods inherited from class org.red5.server.messaging.AbstractMessage

`getBooleanProperty, getByteProperty, getCorrelationID, getDoubleProperty, getFloatProperty, getIntProperty, getLongProperty, getMessageID, getMessageType, getObjectProperty, getShortProperty, getStringProperty, setBooleanProperty, setByteProperty, setCorrelationID, setDoubleProperty, setFloatProperty, setIntProperty, setLongProperty, setMessageID, setMessageType, setObjectProperty, setShortProperty, setStringProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getBody

    public IRTMPEvent getBody()

Return RTMP message body

Returns:
  Value for property 'body'.

#### build

    public static final RTMPMessage build(IRTMPEvent body)

Builder for RTMPMessage.

Parameters:
  `body` - event data
Returns:
  Immutable RTMPMessage

#### build

    public static final RTMPMessage build(IRTMPEvent body,
                    int eventTime)

Builder for RTMPMessage.

Parameters:
  `body` - event data
  `eventTime` - time value to set on the event body
Returns:
  Immutable RTMPMessage

#### build

    public static final RTMPMessage build(IRTMPEvent body,
                    byte sourceType)

Builder for RTMPMessage.

Parameters:
  `body` - event data
  `sourceType` - live or vod
Returns:
  Immutable RTMPMessage